com.holonplatform.vaadin7.navigator.internal

## Interface ViewConfiguration.ViewParameterDefinition

- All Superinterfaces:
    Serializable
  All Known Implementing Classes:
    DefaultViewParameterDefinition
  Enclosing interface:
    ViewConfiguration

      public static interface ViewConfiguration.ViewParameterDefinition
      extends Serializable

  View parameter definition.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getDefaultValue()` Get optional parameter default value
    `Field` | `getField()` Get the view class field bound to this parameter definition
    `String` | `getName()` Get the parameter name
    `Method` | `getReadMethod()` View parameter field read method, if any
    `Class<?>` | `getType()` Get the parameter value type
    `Method` | `getWriteMethod()` View parameter field write method, if any
    `boolean` | `isRequired()` Get whether the parameter is required

- - ### Method Detail

    - #### getName

          String getName()

      Get the parameter name
      Returns:
        Parameter name

    - #### getType

          Class<?> getType()

      Get the parameter value type
      Returns:
        Parameter value type

    - #### isRequired

          boolean isRequired()

      Get whether the parameter is required
      Returns:
        `true` if parameter is required, `false` otherwise

    - #### getDefaultValue

          Object getDefaultValue()

      Get optional parameter default value
      Returns:
        Parameter default value, or `null` if not defined

    - #### getField

          Field getField()

      Get the view class field bound to this parameter definition
      Returns:
        View class field bound to this parameter definition

    - #### getReadMethod

          Method getReadMethod()

      View parameter field read method, if any
      Returns:
        Field read method, or `null` if not available

    - #### getWriteMethod

          Method getWriteMethod()

      View parameter field write method, if any
      Returns:
        Field write method, or `null` if not available

Copyright © 2019 The Holon Platform. All rights reserved.